org.cybergarage.upnp.device

## Class InvalidDescriptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.cybergarage.upnp.device.InvalidDescriptionException

- All Implemented Interfaces:
    Serializable

      public class InvalidDescriptionException
      extends Exception

  Exception thrown when UPnP device description is invalid or cannot be parsed.

  This exception is thrown during device description processing when the XML description is malformed, missing required elements, or contains invalid data that prevents proper device initialization.

  Key features:

  - Multiple constructor options for different error scenarios
  - File context inclusion for description errors
  - Exception chaining support
  - Detailed error message handling

  This exception is used by UPnP device parsing components to indicate failures in loading or interpreting device description documents, helping developers identify and resolve description format issues.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidDescriptionException()`
    `InvalidDescriptionException(Exception e)`
    `InvalidDescriptionException(String s)`
    `InvalidDescriptionException(String s, File file)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidDescriptionException

          public InvalidDescriptionException()

    - #### InvalidDescriptionException

          public InvalidDescriptionException(Exception e)

    - #### InvalidDescriptionException

          public InvalidDescriptionException(String s)

    - #### InvalidDescriptionException

          public InvalidDescriptionException(String s,
                                             File file)